Package twisted :: Package spread :: Module pb :: Class AuthChallenger

[frames | no frames]

## Class AuthChallenger

    Jellyable --+
                |
     Serializable --+
                    |
        Referenceable --+
                        |
                       AuthChallenger

DEPRECATED.

See also: AuthServ

Method Summary
| `__init__(self, ident, serv, challenge)`
| `_authFail(self, result, d)`
| `_authOk(self, result, d)`
| `remote_respond(self, response)`
Inherited from Referenceable
| ``jellyFor`(self, jellier)` (internal)
| ``remoteMessageReceived`(self, broker, message, args, kw)` A remote message has been received.
Inherited from Serializable
| ``processUniqueID`(self)` Return an ID which uniquely represents this object for this process.
Inherited from Jellyable
| ``getStateFor`(self, jellier)`

Class Variable Summary
Inherited from Referenceable
`NoneType` | `perspective` = None
Inherited from Jellyable
`tuple` | `__implements__` = `(<class twisted.spread.interfaces.IJell...`

Generated by Epydoc 2.0 on Sat May 15 20:07:38 2004 | http://epydoc.sf.net